Loading...
Searching...
No Matches
_ocsd_etmv3_cfg Struct Reference
OpenCSD Library : Trace Packet Types

`#include <trc_pkt_types_etmv3.h>`

## Public Attributes

uint32_t | reg_idr
uint32_t | reg_ctrl
uint32_t | reg_ccer
uint32_t | reg_trc_id
ocsd_arch_version_t | arch_ver
ocsd_core_profile_t | core_prof

## Detailed Description

Definition at line 161 of file trc_pkt_types_etmv3.h.

## Member Data Documentation

## arch_ver

ocsd_arch_version_t _ocsd_etmv3_cfg::arch_ver

Architecture version

Definition at line 167 of file trc_pkt_types_etmv3.h.

## core_prof

ocsd_core_profile_t _ocsd_etmv3_cfg::core_prof

Core Profile

Definition at line 168 of file trc_pkt_types_etmv3.h.

## reg_ccer

uint32_t _ocsd_etmv3_cfg::reg_ccer

CCER register

Definition at line 165 of file trc_pkt_types_etmv3.h.

## reg_ctrl

uint32_t _ocsd_etmv3_cfg::reg_ctrl

Control Register

Definition at line 164 of file trc_pkt_types_etmv3.h.

## reg_idr

uint32_t _ocsd_etmv3_cfg::reg_idr

ID register

Definition at line 163 of file trc_pkt_types_etmv3.h.

## reg_trc_id

uint32_t _ocsd_etmv3_cfg::reg_trc_id

Trace Stream ID register

Definition at line 166 of file trc_pkt_types_etmv3.h.

The documentation for this struct was generated from the following file:

- /build/libopencsd-16huoW/libopencsd-1.4.1/decoder/include/opencsd/etmv3/trc_pkt_types_etmv3.h